# PCHasApplyTranspose

Test whether the preconditioner has a transpose apply operation

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCHasApplyTranspose(PC pc,PetscTruth *flg)

Collective on PC and Vec

### Input Parameters

pc -the preconditioner context

### Output Parameter

flg -PETSC_TRUE if a transpose operation is defined

### Keywords

PC, apply, transpose

### See Also

PCApplyTranspose()

Level:developer
Location: src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages